Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration
Interface ICollaborationFactory

public interface ICollaborationFactory

Factory interface to obtain the various Collaboration Managers.

Method Summary
`IDiscussionManager` | `getDiscussionManager()` Returns an `IDiscussionManager` that enables creation, deletion, modification and query functionality for Collaboration Discussions.
`IDocumentManager` | `getDocumentManager()` Returns an `IDocmentManager` object that enables creation, deletion, modification and query functionality for Collaboration Documents.
`IProjectManager` | `getProjectManager()` Returns an `IProjectManager` that enables creation, deletion, modification and query functionality for Collaboration Projects.
`ITaskListManager` | `getTaskListManager()` Returns an `ITaskListManager` object that enables creation, deletion, modification and query functionality for Collaboration Task lists.

Method Detail

### getDiscussionManager

    public IDiscussionManager getDiscussionManager()

  Returns an `IDiscussionManager` that enables creation, deletion, modification and query functionality for Collaboration Discussions.

  Returns:
    an `IDiscussionManager` object

### getDocumentManager

    public IDocumentManager getDocumentManager()

  Returns an `IDocmentManager` object that enables creation, deletion, modification and query functionality for Collaboration Documents.

  Returns:
    an `IDocumentManager` object

### getProjectManager

    public IProjectManager getProjectManager()

  Returns an `IProjectManager` that enables creation, deletion, modification and query functionality for Collaboration Projects.

  Returns:
    an `IProjectManager` object

### getTaskListManager

    public ITaskListManager getTaskListManager()

  Returns an `ITaskListManager` object that enables creation, deletion, modification and query functionality for Collaboration Task lists.

  Returns:
    an `ITaskListManager` object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.